// WARNING: Please don't edit this file. It was generated by C++/WinRT v2.0.220110.5

#pragma once
#ifndef WINRT_Microsoft_MixedReality_QR_1_H
#define WINRT_Microsoft_MixedReality_QR_1_H
#include "winrt/impl/Microsoft.MixedReality.QR.0.h"
WINRT_EXPORT namespace winrt::Microsoft::MixedReality::QR
{
    struct __declspec(empty_bases) IQRCode :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IQRCode>
    {
        IQRCode(std::nullptr_t = nullptr) noexcept {}
        IQRCode(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IQRCodeAddedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IQRCodeAddedEventArgs>
    {
        IQRCodeAddedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IQRCodeAddedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IQRCodeRemovedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IQRCodeRemovedEventArgs>
    {
        IQRCodeRemovedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IQRCodeRemovedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IQRCodeUpdatedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IQRCodeUpdatedEventArgs>
    {
        IQRCodeUpdatedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IQRCodeUpdatedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IQRCodeWatcher :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IQRCodeWatcher>
    {
        IQRCodeWatcher(std::nullptr_t = nullptr) noexcept {}
        IQRCodeWatcher(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IQRCodeWatcherStatics :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IQRCodeWatcherStatics>
    {
        IQRCodeWatcherStatics(std::nullptr_t = nullptr) noexcept {}
        IQRCodeWatcherStatics(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
}
#endif
